new;
library gdr,pgraph;
gdrSet;

fn RiskOpCorr(sigma1,sigma2) = exp(-0.5*sigma1^2-0.5*sigma2^2);

sigma1 = 0.1~1~2;
sigma2 = 0.0001|seqa(0.1,0.1,35);

c = RiskOpCorr(sigma1,sigma2);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3; _plwidth = 10; _pcolor = 10|9|12;
  fonts("simplex simgrma");
  xlabel("\216\202\s\201]2[");
  ylabel("\216cor[+](L]1[,L]2[)");
  xtics(0,3.5,0.5,5);
  ytics(0,1,0.2,2);
  _plegstr = "\202s\201]1[ = 0,1\000\202s\201]1[ = 1\000\202s\201]1[ = 2";
  _plegctl = {2 5 5.5 3};
  graphprt("-c=1 -cf=lda2.ps");
  xy(sigma2,c);

