new;
library gdr,pgraph;
gdrSet;

data = loadd("cac-dj");

r = packr(LogReturn(data[.,2 3],1));

mu = meanc(r);
vc = vcx(r);

{mu1,mu2,sigma1,sigma2,rho} = cov2D(mu,vc);

let min = -0.20 -0.10;
{x1,x2,pdf} = Kernel2(r,min,-min,156);

graphset;
  _pdate = ""; _pnum = 2; _pframe = 0;
  volume(2,2,1.5);
  _pzclr = {0 9, 0.00001 10, 1 3, 50 12, 200 13, 500 14, 1000 9,
            1500 10};
  xtics(-20,20,10,2);
  xlabel("\216CAC 40");
  ylabel("\216Dow Jones");
  ytics(-10,10,5,2);
  ztics(0,1500,500,2);
  graphprt("-c=1 -cf=stress3.ps");
  surface(100*x1',100*x2,pdf);

