new;
library gdr,pgraph;
gdrSet;

data = loadd("cac-dj");

r = ln(data[.,2 3]);
r = r - lag1(r);

mu = meanc(packr(r));
sigma = stdc(packr(r));

rtilde = (r - mu') ./ sigma';

data = packr(data[.,1]~r[.,1]~rtilde[.,1]);
data = sortc(data,3);

N = 10;
nu = 6;

output file = var12.out reset;

rt1 = data[1:N,1 2]~(1./cdfn(data[1:N,3]))/365;
rt2 = data[1:N,1 2]~(1./cdft(data[1:N,3],nu))/365;
data = rev(data);
rt3 = data[1:N,1 2]~(1./cdfnc(data[1:N,3]))/365;
rt4 = data[1:N,1 2]~(1./cdftc(data[1:N,3],nu))/365;
rt = rt1~rt3;
rt[.,2 5] = 100 * rt[.,2 5];
print rt;
rt = rt2~rt4;
rt[.,2 5] = 100 * rt[.,2 5];
print rt;

output off;


