new;
library gdr,pgraph;
gdrSet;

n = 250;
lambda1 = ones(n,1)/n;

lambda = 0.99;
lambda2 = seqm(1,lambda,n)*(1-lambda)/(1-lambda^n);

lambda = 0.98;
lambda3 = seqm(1,lambda,n)*(1-lambda)/(1-lambda^n);

lambda = 0.94;
lambda4 = seqm(1,lambda,n)*(1-lambda)/(1-lambda^n);

graphset;
  begwind;
  makewind(9,6.855,0,0,1);
  makewind(4,3,4,3.5,1);

  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3|6; _paxht = 0.20;
  _plwidth = 10|10|10|10; _pcolor = 10|12|13|0; _pstype = 8; _plctrl = 0|0|0|5; _psymsiz = 2.5;

  setwind(1);
    ytics(0,0.020,0.005,5);
    xtics(0,250,50,5);
    xlabel("\216i");
    ylabel("\216\202l\201]i[");
    _plegstr = "\202l\201 = 1\000\202l\201 = 0,99\000\202l\201 = 0,98\000\202l\201 = 0,94";
    _plegctl = {2 5 6.5 2.20};
    xy(seqa(1,1,n),lambda1~lambda2~lambda3~lambda4);

 _psymsiz = 4;

  setwind(2);
    _plegctl = 0;
    _paxht = 0.25; _pnumht = 0.20; _ptitlht = 0.275;
    ytics(0,1,0.20,2);
    xtics(0,250,50,5);
    ylabel("");
    xlabel("\216p");
    title("\216\202S \202l\201]i[");
    xy(seqa(1,1,n),cumsumc(lambda1~lambda2~lambda3~lambda4));

    graphprt("-c=1 -cf=var16.ps");

  endwind;


