new;
library gdr,pgraph;
gdrSet;

_copula_rankindx = 1;

dataset = "lme";
let vars  = AL AL-15;

data = ln(LoadData(dataset,vars));
data = packr(data - lag1(data));
u = Dependogram(data);
u1 = u[.,1]; u2 = u[.,2];
rho = submat(corrx(data),1,2);
in = InCovarianceEllipseCopulaNormal2(u1,u2,rho,0.90);
u = delif(u1~u2,in);
sumc(in)/rows(in);

{u1,u2} = CovarianceEllipseCopulaNormal2(rho,0.90,501);

graphset;
  _pdate = ""; _pcross = 1; _pframe = 0; _plctrl = 0; 
  _pstype = 2; _psymsiz = 1;
  _pltype = 6; _plwidth = 10; _pcolor = 9; 
  fonts("simplex simgrma");
  xtics(0,1,0.2,2);
  ytics(0,1,0.2,2);
  xlabel("\216" $+ vars[1]);
  ylabel("\216" $+ vars[2]);
  e = ones(rows(u),1);
  _psym = u~e.*(8~1~12~1~10);
  graphprt("-c=1 -cf=sklar49.ps");
  xy(u1,u2);


