new;
library gdr,pgraph;
gdrSet;

L1 = PortfolioLoss("cpm15");
L2 = PortfolioLoss("cpm16");
L3 = PortfolioLoss("cpm17");

_Kernel = 0|1e5|128|1|0|error(0);

d = zeros(128,3);

{x,d[.,1],F,retcode} = Kernel(L1);
{x,d[.,2],F,retcode} = Kernel(L2);
{x,d[.,3],F,retcode} = Kernel(L3);

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|1|3|4|5; _plwidth = 10; 
  _pysci = 1;
  _pcolor = seqa(9,1,5);
  xtics(0,1e5,0.20e5,2); 

  xlabel("\216Perte");
  ylabel("\216PDF");

  graphprt("-c=1 -cf=cpm18.ps");

  xy(x,d);
