new;
library gdr,pgraph;
gdrSet;

load Prices[251,3] = test1.dat;

let P0 = 244 135 315;
let theta = 2 -1 1;

output file = var4.out reset;

VaR = gaussianVaR(Prices,P0,theta,0.99);
print ftos(VaR,"VaR analytique(0.99) = %lf",5,2);

VaR = historicalVaR(Prices,P0,theta,0.99);
print ftos(VaR,"VaR Historique(0.99) = %lf",5,2);

r = packr(LogReturn(Prices,1));
mu = meanc(r);                  
print mu;
sd = stdc(r);                 
print sd;
rho = corrx(r);                 
print rho;

output off;          

