new;
library gdr,pgraph;
gdrSet;

rho = 0.5;
ns = 2^11;
e = ones(ns,1);

rndseed 123;
{u1,u2} = rndCopulaNormal2(rho,ns);

n1 = cdfni(u1); n2 = cdfni(u2);
t1 = cdfti(u1,5); t2 = cdfti(u2,4);
c1 = cdfchii(u1,1*e); c2 = cdfchii(u2,8*e);

graphset;
  begwind;
  window(2,2,0);
    _pdate = ""; _pnum = 2; _pframe = 0; _pcross = 1;
    _plctrl = -1; _pstype = 4; _psymsiz = 5;
    _paxht = 0.25; _pnumht = 0.20;
    fonts("simplex simgrma");
 
  setwind(1);
    xlabel("\216U"); ylabel("\216U");
    xtics(0,1,0.2,2); ytics(0,1,0.2,2);
    _pcolor = 9;
    xy(u1,u2);

  setwind(2);
    xlabel("\216N(0,1)"); ylabel("\216N(0,1)");
    xtics(-4,4,1,2); ytics(-4,4,1,2); 
    _pcolor = 2;
    xy(n1,n2);

  setwind(3);
    xlabel("\216t]5["); ylabel("\216N(0,1)");
    xtics(-8,8,2,2); ytics(-4,4,1,2); 
    _pcolor = 12;
    xy(t1,n2);

  setwind(4);
    xlabel("\216\202h\201]1[[2]"); ylabel("\216\202h\201]8[[2]"); 
    xtics(0,15,5,2); ytics(0,30,5,2); 
    _pcolor = 13;
    xy(c1,c2);

    graphprt("-c=1 -cf=sklar35.ps");

  endwind;

