new;
library gdr,pgraph;
gdrSet;

rndseed 123;

_localQuantile_bandwidth = 10;
h = _localQuantile_bandwidth;

f = 0.5;
if f /= 0;
  indx = seqa(-h+1,1,2*h);
else;
  indx = seqa(-h,1,2*h+1);
endif;

_localQuantile_mtd = 1;
p1 = _localQuantileWeight(indx,h,f);
_localQuantile_mtd = 2;
p2 = _localQuantileWeight(indx,h,f);

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0; _pcross = 1;
  _plwidth = 10; 
  _plctrl = 1; _pltype = 6|3; _pstype = 8|9;
  _pcolor = 9|12;
  xlabel("\216Statistique d'ordre L]@[n\202a\201@]+k:n[");
  _pline = 1~1~f~0~f~1~1~0~10;
  _pmsgstr = "n\202a\201-@[n\202a\201@]";
  _pmsgctl = f+0.1~0.005~0.2~0~1~0~10;
  xtics(-10,10,5,5);
  _plegstr = "Noyau triangulaire\000Noyau uniforme";
  _plegctl = {2 5 6 5.5};
  graphprt("-c=1 -cf=cpm30.ps");
  xy(indx,p1~p2);
