new;
library gdr,pgraph;
gdrSet;

cls;

SetTransitionMatrix(1);
P = _cm_PI;

__macheps = 1e-300;
{Lambda,tmp} = FindGenerator(P);
{tmp,Lambda} = ValidGenerator(Lambda);

t = seqa(0,1/10,1001);
f = pdfRatings(t,Lambda);

graphset;
  begwind;
  window(2,2,0);

  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|3; _plwidth = 10; _pcolor = 9|12;
  xlabel("\216t");
  ylabel("\216f(t)");
  xtics(0,100,25,5);
  _plegctl = {2 5.5 5 3};
  _paxht = 0.30; _pnumht = 0.20; _ptitlht = 0.25;

  setwind(1);
    _plegstr = "AAA\00AA"; 
    xy(t,f[.,1:2]);

  setwind(2);
    _plegstr = "A\00BBB"; 
    _plegctl = {2 5.5 6 5};
    xy(t,f[.,3:4]);

  _plegctl = {2 5.5 5 3};


  setwind(3);
    _plegstr = "BB\00B"; 
    xy(t,f[.,5:6]);

  setwind(4);
    _plegstr = "CCC"; 
    ytics(0,0.30,0.05,2);
    xy(t,f[.,7]);

    graphprt("-c=1 -cf=param12.ps");

  endwind;