new;
library gdr,pgraph;
gdrSet;

let lambda1[5,2] = 1 100 
                   2 200 
                   3 300
                   4 400
                   5 500;
let lambda2[5,2] = 1 1000 
                   2 800 
                   3 600
                   4 400
                   5 200;

lambda1[.,2] = lambda1[.,2] / 1e4;
lambda2[.,2] = lambda2[.,2] / 1e4;
t = seqa(0,0.1,100);

S1 = survivalExp(t,lambda1);
S2 = survivalExp(t,lambda2);

graphset;
  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|3; _plwidth = 10; _pcolor = 9|12; 
  xlabel("\216t");
  ylabel("\216S(t)");
  _plegstr = "#1\000#2";
  _plegctl = {2 5 6 5};
  ytics(0.65,1,0.05,5);
  graphprt("-c=1 -cf=param2.ps");
  xy(t,S1~S2);

