new;
library gdr,pgraph;
gdrSet;

let P[3,3] = 0.50 0.25 0.25
             0.25 0.25 0.50
             0.00 0.00 1.00;

Lambda = lnMatrix(P);

t = seqa(0,1/100,1001);
S = SurvivalRatings(t,Lambda);
f = pdfRatings(t,Lambda);

graphset;
  begwind;
  makewind(9,6.855,0,0,1);
  makewind(4,3,4,3,1);

  fonts("simplex simgrma");
  _pdate = ""; _pnum = 2; _pframe = 0;
  _pltype = 6|3; _plwidth = 10; _pcolor = 9|12;
  xtics(0,10,2,2);
  xlabel("\216t");
  ytics(0,1,0.2,2);

  setwind(1);
    ylabel("\216S(t)");
    _plegstr = "Rating GOOD\000Rating BAD";
    _plegctl = {2 5 6 2};
    xy(t,S);
  setwind(2);
    _plegctl = 0;
    _pnumht = 0.25; _paxht = 0.30;
    ylabel("\216f(t)");
    xy(t,f);
 
  graphprt("-c=1 -cf=param9.ps"); 
 
  endwind;